## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSoftwareFilterOutput Struct Reference
[Sound system, Sound system]

An output sound filter receives. More...

`#include <isndsys/ss_filter.h>`

Inheritance diagram for iSndSysSoftwareFilterOutput:

[legend]
List of all members.

## Public Member Functions

virtual void | Apply (iSndSysSoftwareFilter3DProperties &properties)=0
| Apply this filter to the mutable buffer passed.
virtual iSndSysSoftwareFilter3D * | GetPtr ()=0
| Retrieve the base pointer for this filter.

## Detailed Description

An output sound filter receives.

Definition at line 87 of file ss_filter.h.

## Member Function Documentation

virtual void iSndSysSoftwareFilterOutput::Apply | ( | iSndSysSoftwareFilter3DProperties & | properties | ) | `[pure virtual]`

| Apply this filter to the mutable buffer passed. The unmutable main buffer is also passed, although this is not likely to be very useful, since the main buffer has an unknown number of sources previously mixed in (possibly none). The sample_count is the number of samples available in both the mutable buffer and the main buffer. The format is the format of the audio.

virtual iSndSysSoftwareFilter3D* iSndSysSoftwareFilterOutput::GetPtr | ( |  | ) | `[pure virtual]`

| Retrieve the base pointer for this filter. Used internally by the sound system.

The documentation for this struct was generated from the following file:

- isndsys/ss_filter.h